Bug 1562526 - Review Request: libfullock - A Fast User Level LOCK (FULLOCK) library for C and C++
Summary: Review Request: libfullock - A Fast User Level LOCK (FULLOCK) library for C a...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-31 16:20 UTC by Hirotaka Wakabayashi
Modified: 2019-04-13 15:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-04-13 15:32:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Hirotaka Wakabayashi 2018-03-31 16:20:54 UTC
Spec URL: https://github.com/hiwkby/fullock/blob/master/libfullock.spec
SRPM URL: https://github.com/hiwkby/fullock/blob/master/libfullock-1.0.24-1.fc27.src.rpm

Description: A Fast User Level LOCK (FULLOCK) library for C and C++.
FULLOCK is an open-source software for user level lock library supported by
Yahoo! JAPAN. It runs on user level and provides two types lock that are
faster than fcntl. One is a shared reader/writer lock which has the same
functionality with pthread_rwlock. Another is a shared mutex lock which also
has the same functionality with pthread_mutex.

Fedora Account System Username: hiwkby

This is my first package and I am seeking a sponsor! 
Here is a link to a successful koji build.
https://koji.fedoraproject.org/koji/taskinfo?taskID=26083743

Thanks in advance.

Comment 1 Hirotaka Wakabayashi 2018-03-31 18:58:56 UTC
Here is a link to a successful Copr build.
https://copr.fedorainfracloud.org/coprs/hiwkby/libfullock/build/735310/

Thanks in advance.

Comment 2 Robert-André Mauchin 2018-03-31 20:13:24 UTC
Hello and welcome,


I can't sponsor, but a couple preliminary remarks:

 - %clean is rot needed

%clean
rm -rf %{buildroot}

 - %defattr(-,root,root) in %files is not needed either as it is the default


Otherwise the rest looks good.

Comment 3 Artur Iwicki 2018-03-31 23:20:50 UTC
>Source0: %{name}-%{version}.tar.gz
Use the following: "%{URL}/archive/v%{version}/%{name}-%{version}.tar.gz"

Comment 4 Hirotaka Wakabayashi 2018-04-01 02:50:45 UTC
(In reply to Robert-André Mauchin from comment #2)
> Hello and welcome,
> 
> 
> I can't sponsor, but a couple preliminary remarks:
> 
>  - %clean is rot needed
> 
> %clean
> rm -rf %{buildroot}
> 
>  - %defattr(-,root,root) in %files is not needed either as it is the default
> 
> 
> Otherwise the rest looks good.

Good morning, Robert

Thanks you for your kindness! The spec file is simpler and easier to read than before!

https://github.com/hiwkby/fullock/blob/master/libfullock.spec
https://github.com/hiwkby/fullock/blob/master/libfullock-1.0.24-1.fc27.src.rpm

And here are the links to successfull Koji and Copr build.
https://copr.fedorainfracloud.org/coprs/hiwkby/libfullock/build/735420/
https://koji.fedoraproject.org/koji/taskinfo?taskID=26095901

Thanks in advance.

Comment 5 Hirotaka Wakabayashi 2018-04-01 02:55:12 UTC
(In reply to Iwicki Artur from comment #3)
> >Source0: %{name}-%{version}.tar.gz
> Use the following: "%{URL}/archive/v%{version}/%{name}-%{version}.tar.gz"

Hello, Iwicki

Thanks you for your quick response!

I can't fix the invalid-url warning by rpmlint, because in my case, "%{URL}/archive/v%{version}/%{name}-%{version}.tar.gz" does not contain the ".git" directory which is needed to build the source code correctly. So I left a comment in the spec file to show where the source came from. 

Attached is the following error when I tried building the source code distributed in the following url.
https://github.com/yahoojapan/fullock/archive/v1.0.24/fullock-1.0.24.tar.gz
```
fatal: Not a git repository (or any of the parent directories): .git
```

The reason of the error message above came from the following code.
https://github.com/yahoojapan/fullock/blob/master/make_release_version_file.sh#L78

Thanks in advance.

Comment 6 Hirotaka Wakabayashi 2018-04-01 06:11:33 UTC
Hello, Iwicki

I found a workaround but I need to ask upstream to accept code change. Please wait a moment. 
I know it's not friendly for packagers to use a comment in the spec file to show where the source came from. 

My workaround is changing the autogen.sh like this.
```
--- a/autogen.sh
+++ b/autogen.sh
@@ -42,12 +42,14 @@ while [ $# -ne 0 ]; do
                FORCEPARAM=""
        elif [ "X$1" = "X-no_check_ver_diff" ]; then
                PARAMETERS="${PARAMETERS} $1"
+       elif [ "X$1" = "X-not_use_git" ]; then
+               PARAMETERS="${PARAMETERS} $1"
        elif [ "X$1" = "X-h" -o "X$1" = "X--help" ]; then
-               echo "Usage: ${AUTOGEN_NAME} [-noupdate_version_file] [-no_aclocal_force] [-no_check_ver_diff]"
+               echo "Usage: ${AUTOGEN_NAME} [-noupdate_version_file] [-no_aclocal_force] [-no_check_ver_diff] [-not_use_git]"
                exit 1
        else
                echo "ERROR: Unkown option $1"
-               echo "Usage: ${AUTOGEN_NAME} [-noupdate_version_file] [-no_aclocal_force] [-no_check_ver_diff]"
+               echo "Usage: ${AUTOGEN_NAME} [-noupdate_version_file] [-no_aclocal_force] [-no_check_ver_diff] [-not_use_git]"
                exit 1
        fi
        shift
```

And I will use the "not_use_git" option in the libfullock.spec like this.
```
%build
sh ./autogen.sh -not_use_git
               ^^^^^^^^^^^^^^
```

Thanks in advance.

Comment 7 Hirotaka Wakabayashi 2018-04-05 21:28:44 UTC
Hello, Iwicki

I would like to ask you to continue this review as it is if it is not a big
problem because upstream currently declined my idea for a reasonable reason.

I discussed about my idea with the upstream developer yesterday, but he said 
it was difficult to apply it because he wants to get its program to 
automatically print out its git commit hash to track down which version of 
the software a user is using for user support.

I left notes in comments above the Source0: line to make tarball as mentioned
in the following guideline though I still should continue to think about 
another idea to make the url not to be one of "Troublesome URLs".
https://fedoraproject.org/wiki/Packaging:SourceURL

Thanks in advance.

Memos:
Code using git rev-parse command is here.
https://github.com/yahoojapan/fullock/blob/master/make_rev.sh#L34
https://github.com/yahoojapan/fullock/blob/master/lib/Makefile.am#L41

But tarball from the following url doesn't contains .git directory.
https://github.com/yahoojapan/fullock/archive/v1.0.24.tar.gz

As a result, git rev-parse exit with nonzero status.
https://git-scm.com/docs/git-rev-parse

So I commented how to generate the tarball.
https://github.com/hiwkby/fullock/blob/master/libfullock.spec#L10-L13

Comment 8 Artur Iwicki 2018-04-05 22:04:29 UTC
You could just put the workaround from Comment #6 into a .patch file, and add it to the spec as "Patch0: some-descriptive-name.patch". You'll probably need to add "-p1" to %autosetup as well.

Comment 9 Hirotaka Wakabayashi 2018-04-06 23:36:13 UTC
Hello Iwicki, Thanks a lot for your quick response and a nice suggestion!

Please wait a moment once again! I discussed about it with the upstream
developer yesterday again. He is so cooperative that he tole me that he found
the best way for him as an upstream and me for a packager that can solve
the current problem.

I should wait a few more days for the upstream's work because I think
writing a patch can be an additional cost to maintain a package.

Thanks in advance.

Comment 10 Hirotaka Wakabayashi 2018-04-17 04:50:52 UTC
Hello Iwicki, I am sorry for waiting!

Should I close this ticket once and re-submit a new ticket after fixing the
current problem and releasing a new FULLOCK version if I would have had to
wait for one more week?

The upstream developer is still working hard to fix the problem, but he
wants to fix another issue and release it as a new version which seems to
take one week or so.

Thanks in advance.

Comment 11 Artur Iwicki 2018-04-17 09:35:05 UTC
There's no need to close and re-submit the ticket. We've had some Review Requests going on for over a year.  ;)

Comment 12 Hirotaka Wakabayashi 2018-04-19 00:37:52 UTC
Hello Iwicki, Thanks for your reply!

I understand my situation. I will keep this ticket as it is.

Thanks in advance.

Comment 13 Hirotaka Wakabayashi 2018-05-18 02:24:58 UTC
Hello Iwicki, Please check the new spec and src.rpm again! 

https://github.com/hiwkby/fullock/blob/master/buildutils/libfullock.spec
https://github.com/hiwkby/fullock/blob/master/libfullock-1.0.27-1.fc27.src.rpm

Here is my successfull koji build.
https://koji.fedoraproject.org/koji/taskinfo?taskID=27027648

Thanks in advance.

Comment 14 Hirotaka Wakabayashi 2018-05-23 04:42:22 UTC
Hello Iwicki and reviewers,

Please review my spec file and src.rpm again I have updated today!
I removed comments and the BuildRoot which should not be used in the guideline.

https://github.com/hiwkby/fullock/blob/master/buildutils/libfullock.spec
https://copr-be.cloud.fedoraproject.org/results/hiwkby/libfullock/fedora-27-x86_64/00758044-libfullock/libfullock-1.0.27-1.fc27.src.rpm

Thanks in advance.

Comment 15 Hirotaka Wakabayashi 2018-05-23 21:38:55 UTC
Hello Iwicki and reviewers,

Here is my successful build on Koji.
https://koji.fedoraproject.org/koji/taskinfo?taskID=27151088

Thanks in advance.

Comment 16 Hirotaka Wakabayashi 2018-05-26 05:15:00 UTC
> 
https://github.com/hiwkby/fullock/blob/master/buildutils/libfullock.spec

Please wait a moment! because I found no %license macro in the new spec file in my self-review. I must fix it.

Comment 18 Hirotaka Wakabayashi 2018-05-29 17:18:35 UTC
I have a question. I found warnings in rpmlint in my self-review. Would this be a problem that can be a blocker? I think some warnings can be fixed. 

```[vagrant@localhost ~]$ sudo rpmlint /home/vagrant/rpmbuild/RPMS/x86_64/libfullock-1.0.27-1.fc27.x86_64.rpm /home/vagrant/rpmbuild/RPMS/x86_64/libfullock-debugsource-1.0.27-1.fc27.x86_64.rpm /home/vagrant/rpmbuild/RPMS/x86_64/libfullock-devel-1.0.27-1.fc27.x86_64.rpm /home/vagrant/rpmbuild/RPMS/x86_64/libfullock-debuginfo-1.0.27-1.fc27.x86_64.rpm
libfullock.x86_64: W: spelling-error %description -l en_US fullock -> bullock, Bullock, fullback
libfullock.x86_64: W: spelling-error %description -l en_US ality -> laity, amity, quality
libfullock.x86_64: W: spelling-error %description -l en_US pthread -> thread, p thread
libfullock.x86_64: W: spelling-error %description -l en_US rwlock -> rowlock, warlock
libfullock.x86_64: W: spelling-error %description -l en_US mutex -> mute, mutes, muter
libfullock.x86_64: W: incoherent-version-in-changelog 1.0.27 ['1.0.27-1.fc27', '1.0.27-1']
libfullock.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libfullock.so
libfullock.x86_64: W: manual-page-warning /usr/share/man/man3/fullock.3.gz 127: warning: macro `L"' not defined
libfullock.x86_64: W: manual-page-warning /usr/share/man/man3/fullock.3.gz 127: warning: macro `R"' not defined
libfullock-debugsource.x86_64: W: no-documentation
libfullock-devel.x86_64: W: only-non-binary-in-usr-lib
4 packages and 0 specfiles checked; 0 errors, 11 warnings.
```
https://github.com/hiwkby/libfullock-self-review#x-rpmlint-is-run-on-all-rpms-the-build-produces

Thanks in advance.

Comment 19 Robert-André Mauchin 2018-10-04 16:40:55 UTC
libfullock.x86_64: W: incoherent-version-in-changelog 1.0.27 ['1.0.27-1.fc27', '1.0.27-1']
 
 → You need to add the release info in the %changelog too:

* Tue May 15 2018 Takeshi Nakatani <ggtakec@gmail.com>   1.0.27-1

   Also add your own %changelog entry with your name in it.

 - Bump to 1.0.28

 - libfullock.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libfullock.so

This is not ok. Read https://docs.fedoraproject.org/en-US/packaging-guidelines/#_devel_packages

    Unversioned shared system library files, when a matching versioned shared system library file is also present. For example, if your package contains:

   /usr/lib/libfoo.so.3.0.0
   /usr/lib/libfoo.so.3
   /usr/lib/libfoo.so

The versioned shared library files (/usr/lib/libfoo.so.3.2.0 and /usr/lib/libfoo.so.3) are necessary for users to run programs linked against libfoo, so they belong in the base package. The other, unversioned, shared library file (/usr/lib/libfoo.so) is only used to actually link libfoo to code being compiled, and is not necessary to be installed on a users system. This means that it belongs in a -devel package.


Thas means libfullock.so should be in the devel package:

%files devel
%license COPYING
%if 0%{?rhel} == 6
%defattr(-,root,root)
%endif
%doc README AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/libfullock.so
%{_libdir}/pkgconfig/*.pc

   And then the main package should not have it.

 - Speaking of which, globbing the major soname version is now forbidden to avoid unintentional soname bump. So be more specific instead:

%files
%license COPYING
%if 0%{?rhel} == 6
%defattr(-,root,root)
%endif
%doc README AUTHORS ChangeLog
%{_libdir}/libfullock.so.1*
%{_mandir}/man3/*

 - You don't need to reinclude the license in devel because it depends on the main package which already has it:

%files devel
Remove %license COPYING

 - Group: is not used in Fedora

Comment 20 Hirotaka Wakabayashi 2018-11-29 02:00:31 UTC
Hello, Robert-André Mauchin

I really appreciate your help! 

The upstream developer, Takeshi Nakatani is so helpful to fix bugs you have pointed out. Please review them.

Here are fixed and successfully built artifacts on the copr:

Spec URL: https://copr-be.cloud.fedoraproject.org/results/hiwkby/libfullock/fedora-28-x86_64/00831233-libfullock/libfullock.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/hiwkby/libfullock/fedora-28-x86_64/00831233-libfullock/libfullock-1.0.31-1.fc28.src.rpm

Thanks in advance,
Hiro Wakabayashi

Comment 21 Robert-André Mauchin 2018-11-30 14:47:33 UTC
 - BuildRoot: and Prefix: are not needed

 - Do you really reed to redefine all macros?

 - Patch the obsolete m4 macro: replace AC_PROG_LIBTOOL with LT_INIT and send the patch upstream if possible

[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: fullock-1.0.31/configure.ac:48



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package is not relocatable.
  Note: Package has a "Prefix:" tag
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#RelocatablePackages


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "FSF All Permissive License", "Expat License", "Unknown or
     generated". 67 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/libfullock/review-
     libfullock/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libfullock-debuginfo , libfullock-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libfullock-1.0.31-1.fc30.x86_64.rpm
          libfullock-debuginfo-1.0.31-1.fc30.x86_64.rpm
          libfullock-debugsource-1.0.31-1.fc30.x86_64.rpm
          libfullock-devel-1.0.31-1.fc30.x86_64.rpm
          libfullock-1.0.31-1.fc30.src.rpm
libfullock.x86_64: W: spelling-error %description -l en_US fullock -> bullock, Bullock, fullback
libfullock.x86_64: W: spelling-error %description -l en_US ality -> laity, amity, quality
libfullock.x86_64: W: spelling-error %description -l en_US pthread -> thread, p thread
libfullock.x86_64: W: spelling-error %description -l en_US rwlock -> rowlock, warlock
libfullock.x86_64: W: spelling-error %description -l en_US mutex -> mute, mutes, muter
libfullock.src: W: spelling-error %description -l en_US fullock -> bullock, Bullock, fullback
libfullock.src: W: spelling-error %description -l en_US ality -> laity, amity, quality
libfullock.src: W: spelling-error %description -l en_US pthread -> thread, p thread
libfullock.src: W: spelling-error %description -l en_US rwlock -> rowlock, warlock
libfullock.src: W: spelling-error %description -l en_US mutex -> mute, mutes, muter
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 22 Hirotaka Wakabayashi 2018-12-04 05:23:06 UTC
Hello, Robert-André Mauchin

I sincerely appreciate your immediate review!
 
The upstream developer, Takeshi Nakatani has released a new version that fixed the bugs you have pointed out in #21.

I have built it on Copr. Please review them again.
https://copr-be.cloud.fedoraproject.org/results/hiwkby/libfullock/fedora-28-x86_64/00833201-libfullock/libfullock.spec
https://copr-be.cloud.fedoraproject.org/results/hiwkby/libfullock/fedora-28-x86_64/00833201-libfullock/libfullock-1.0.32-1.fc28.src.rpm

Thanks in advance,
Hiro Wakabayashi

Comment 23 Robert-André Mauchin 2018-12-06 19:36:53 UTC
Ok package is approved. You still need to find a sponsor though.

Comment 24 Hirotaka Wakabayashi 2018-12-06 20:48:21 UTC
Hi, Robert-André Mauchin

I see. Anyway, Thank you very much for your review!

Hirotaka Wakabayashi

Comment 25 Igor Gnatenko 2019-03-25 06:48:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libfullock

Comment 26 Fedora Update System 2019-04-04 02:41:45 UTC
libfullock-1.0.32-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4c118499b

Comment 27 Fedora Update System 2019-04-05 03:25:49 UTC
libfullock-1.0.32-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a4c118499b

Comment 28 Fedora Update System 2019-04-13 15:32:31 UTC
libfullock-1.0.32-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.